/* create premarket submissions table*/
drop table ag_premarket_submissions;
create table ag_premarket_submissions
(
  primary_di  varchar2(24 char) not null,
  submission_number varchar2(30 char) not null,
  supplement_number varchar2(30 char) not null
)
;
/* create device size table*/
drop table ag_device_sizes;
create table ag_device_sizes
(
  primary_di  varchar2(24 char) not null,
  size_type varchar2(100 char),
  size_unit varchar2(200 char),
  size_value  varchar2(200 char),
  size_text varchar2(200 char)
)
;

/* create contact information table */
drop table ag_contacts;
create table ag_contacts
(
  primary_di  varchar2(24 char) not null,
  phone_number  varchar2(20 char),
  phone_extension varchar2(10 char),
  email varchar2(100 char)
)
;


/* create sterilization method type table */
drop table ag_sterilization_methods;
create table ag_sterilization_methods
(
  primary_di  varchar2(24 char) not null,
  sterilization_method  varchar2(200 char)
)
;


/* create product code table */
drop table ag_product_codes;
create table ag_product_codes
(
  primary_di  varchar2(24 char) not null,
  product_code  varchar2(3 char),
  product_code_name varchar2(4000 char)
)
;

/* create identifier table */
drop table ag_identifiers;
create table ag_identifiers
(
  primary_di  varchar2(24 char) not null,
  device_id varchar2(24 char),
  device_id_type varchar2(20 char),
  device_id_issuing_agency  varchar2(10 char),
  contains_di_number varchar2(24 char),
  pkg_quantity  integer,
  pkg_discontinued_date date,
  pkg_status varchar2(30 char)
)
;

/* create gmdn term table */
drop table ag_gmdn_terms;
create table ag_gmdn_terms
(
  primary_di  varchar2(24 char) not null,
  gmdn_pt_name  varchar2(150 char),
  gmdn_pt_definition varchar2(4000 char)
)
;

/* create environmental condition table */
drop table ag_environmental_conditions;
create table ag_environmental_conditions
(
  primary_di  varchar2(24 char) not null,
  storage_handling_type varchar2(200 char),
  storage_handling_high_unit varchar2(200 char),
  storage_handling_high_value varchar2(200 char),
  storage_handling_low_unit varchar2(200 char),
  storage_handling_low_value varchar2(200 char),
  special_condition_text varchar2(200 char)
)
;


/* create device (main) table */
drop table ag_device;
create table ag_device
(
  primary_di  varchar2(24 char) not null,
  public_device_record_key varchar2(50 char) not null,
  public_version_status varchar2(12 char),
  device_record_status  varchar2(12 char),
  public_version_number integer,
  public_version_date date,
  device_publish_date date,
  comm_distribution_end_date date,
  comm_distribution_status varchar2(200 char),
  brand_name varchar2(80 char),
  version_model_number varchar2(80 char),
  catalog_number  varchar2(80 char),
  duns_number varchar2(16 char),
  company_name varchar2(120 char),
  device_count integer,
  device_description varchar2(4000 char),
  dm_exempt varchar2(5 char),
  premarket_exempt  varchar2(5 char),
  device_hctp varchar2(5 char),
  device_kit varchar2(5 char),
  device_combination_product varchar2(5 char),
  single_use varchar2(5 char),
  lot_batch varchar2(5 char),
  serial_number varchar2(5 char),
  manufacturing_date varchar2(5 char),
  expiration_date varchar2(5 char),
  donation_id_number varchar2(5 char),
  labeled_contains_nrl varchar2(5 char),
  labeled_no_nrl  varchar2(5 char),
  mri_safety_status varchar2(50 char),
  rx varchar2(5 char),
  otc varchar2(5 char),
  device_sterile varchar2(5 char),
  sterilization_prior_to_use varchar2(5 char)
)
;
