# TO load the data in shell.


#!/bin/sh -f
#

# Database connection parameters - edit these variables to reflect your environment
# ORACLE_HOME="MY_ORACLE_HOME"
# user="MY_USER"
# password="MY_PASSWORD"
# tns_name="MY_TNS_NAME"

echo "Starting AccessGUDID Import!"

echo "Oracle Home:"
echo $ORACLE_HOME
echo "Credentials:"
echo $user/$password@$tns_name

echo "-----"

echo "BUILDING TABLES"
$ORACLE_HOME/bin/sqlplus $user/$password@$tns_name < ag_build_tables.sql

echo "IMPORTING: Device Sizes"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_device_sizes.ctl

echo "IMPORTING: Contacts"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_contacts.ctl

echo "IMPORTING: Sterilization Methods"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_sterilization_methods.ctl

echo "IMPORTING: Identifiers"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_identifiers.ctl

echo "IMPORTING: Product Codes"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_product_codes.ctl

echo "IMPORTING: GMDN Terms"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_gmdn_terms.ctl

echo "IMPORTING: ENV Conditions"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_environmental_conditions.ctl

echo "IMPORTING: Premarket Submissions"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_premarket_submissions.ctl

echo "IMPORTING: Devices"
$ORACLE_HOME/bin/sqlldr $user/$password@$tns_name control=ag_device.ctl

echo "-----"
echo "DONE!"
